#!/bin/bash

#	Sourcen der Basiskonfiguration
. /etc/cvbackup/basic.conf


echo "********************************************************"
echo "*********** Starting Database Backup Session ***********"
echo "********************************************************"
echo ""


#	Prfen ob Verzeichnis fr SQL-Dumps existiert
if !( test -d $backupDir ); then

		#	Anlegen des Verzeichnisses wenn es noch nicht existiert.
        mkdir -p $backupDir

fi

#	Backup durchfhren wenn das Backupverzeichnis nach Prfung/anlegen existiert
if ( test -d $backupDir ); then

		#	Bereinigen der Inhalte im Zielverzeichnis
        $(/bin/rm -rf $backupDir/*)

		#	Sequentielle Abarbeitung aller angegebenen Datenbanken
        for database in $(cat $configFile)
        do

				#	Erzeugen eines SQL-Dumps der aktuellen Datenbank
                echo "Start dump of $database"
                /usr/bin/mysqldump -c "$database" -u $mysqlUser --password=$mysqlPassword > $backupDir/$database.sql

		done

		# 	Gnnen wir ihm ein paar Sekunden...
		sleep 10
		
		# 	Zippen aller Dateien im Zielverzeichnis mit hchster GZ-Komprimierung.
        $(/bin/gzip -9 /srv/mysql_backup/*)

fi


echo "********************************************************"
echo "************ Database Backup Session ended *************"
echo "********************************************************"
echo ""
